Loading...
Searching...
No Matches
FunctionRegistry::RegisteredFunction Struct Reference

An object to represent a registered function, storing its constructor, a pointer to the function definition and whether it should only be available internally (i.e. to a developer, not a user). More...

`#include <openvdb_ax/codegen/FunctionRegistry.h>`

## Public Member Functions

| RegisteredFunction (const ConstructorT &creator, const bool internal=false)
| Constructor.
void | create (const FunctionOptions &op)
| Create a function object using this creator of this function.
const FunctionGroup * | function () const
| Return a pointer to this function definition.
bool | isInternal () const
| Check whether this function should be only internally accesible.

## Detailed Description

An object to represent a registered function, storing its constructor, a pointer to the function definition and whether it should only be available internally (i.e. to a developer, not a user).

## Constructor & Destructor Documentation

## RegisteredFunction()

RegisteredFunction | ( | const ConstructorT & | creator,
|  | const bool | internal = false )

inline

Constructor.

Parameters

  creator | The function definition used to create this function
  internal | Whether the function should be only internally accessible

## Member Function Documentation

## create()

void create | ( | const FunctionOptions & | op | ) |

inline

Create a function object using this creator of this function.

Parameters

  op | The current function options

## function()

const FunctionGroup * function | ( |  | ) | const

inline

Return a pointer to this function definition.

## isInternal()

bool isInternal | ( |  | ) | const

inline

Check whether this function should be only internally accesible.